#
# Conditional build:
%bcond_with	tests	# unit tests (require already installed package???)

Summary:	Sphinx API for Web Apps
Summary(pl.UTF-8):	API Sphinksa dla aplikacji WWW
Name:		python3-sphinxcontrib-websupport
Version:	1.2.4
Release:	4%{?tld}
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinxcontrib-websupport/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinxcontrib-websupport/sphinxcontrib-websupport-%{version}.tar.gz
# Source0-md5:	eecfd8dc4933bd28c07ffb5e64fa2444
URL:		https://pypi.org/project/sphinxcontrib-websupport/
BuildRequires:	python3-modules >= 1:3.5
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-Sphinx >= 1.8
BuildRequires:	python3-pytest
BuildRequires:	python3-six
BuildRequires:	python3-spinxcontrib-serializinghtml
# don't know why, test use already installed package
BuildRequires:	python3-spinxcontrib-websupport >= 1.1.2
BuildRequires:	python3-sqlalchemy
BuildRequires:	python3-whoosh
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.5
Requires:	python3-sphinxcontrib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sphinxcontrib-websupport provides a Python API to easily integrate
Sphinx documentation into your Web application.

%description -l pl.UTF-8
sphinxcontrib-websupport dostarcza pythonowe API do łatwej integracji
dokumentacji tworzonej z użyciem Sphinksa w aplikacji WWW.

%prep
%setup -q -n sphinxcontrib-websupport-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%{py3_sitescriptdir}/sphinxcontrib/websupport
%{py3_sitescriptdir}/sphinxcontrib_websupport-%{version}-py*.egg-info
%{py3_sitescriptdir}/sphinxcontrib_websupport-%{version}-py*-nspkg.pth
%changelog
* Sat Apr 02 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python3-sphinxcontrib-websupport.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 98941b9
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e278d64
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ef04a28
- rebuild with python 3.10

* Thu Mar 10 2022 Jakub Bogusz <qboosh@pld-linux.org> dc3e0d3
- updated to 1.2.4

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> beed426
- release 2 (by relup.sh)

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 1f2bc9c
- tests still fail without package (at least 1.1.2) already installed

* Mon Apr 13 2020 Jakub Bogusz <qboosh@pld-linux.org> fa7d9b2
- updated python-sphinxcontrib-websupport.spec for 1.2.1 (python 3.5+ only)

